Skip to main content
GET
/
projects
/
{projectIdOrName}
/
jwt-keys
List JWT keys
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/jwt-keys \
  --header 'X-Api-Key: <api-key>'
[ { "id": "550e8400-e29b-41d4-a716-446655440000", "projectId": "123e4567-e89b-12d3-a456-426614174000", "label": "production-key-1", "algorithm": "RSA", "publicKeyPem": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4f5wg5l2hKsTeNem/V41\n-----END PUBLIC KEY-----\n", "active": true, "createTime": "2024-01-15T10:30:00Z", "updateTime": "2024-01-15T10:30:00Z" }, { "id": "550e8400-e29b-41d4-a716-446655440001", "projectId": "123e4567-e89b-12d3-a456-426614174000", "label": "development-key-1", "algorithm": "RSA", "publicKeyPem": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA5g6xh6m3iLtUfOqn/W52\n-----END PUBLIC KEY-----\n", "active": false, "createTime": "2024-01-10T08:15:00Z", "updateTime": "2024-01-12T14:20:00Z" } ]

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

Ampersand Project ID or name.

Query Parameters

active
boolean
default:false

Filter to only return active JWT keys

Response

List of JWT keys retrieved successfully

id
string<uuid>
required

Unique identifier for the JWT key

Example:

"550e8400-e29b-41d4-a716-446655440000"

projectId
string<uuid>
required

The project this JWT key belongs to

Example:

"123e4567-e89b-12d3-a456-426614174000"

label
string
required

Human-readable name for the JWT key

Example:

"production-key-1"

algorithm
enum<string>
required

The cryptographic algorithm used

Available options:
RSA
Example:

"RSA"

publicKeyPem
string<pem>
required

RSA public key in PEM format

Example:

"-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4f5wg5l2hKsTeNem/V41\n-----END PUBLIC KEY-----\n"

active
boolean
required

Whether the JWT key is currently active and can be used for verification

Example:

true

createTime
string<date-time>
required

Timestamp when the JWT key was created

Example:

"2024-01-15T10:30:00Z"

updateTime
string<date-time>
required

Timestamp when the JWT key was last updated

Example:

"2024-01-15T10:30:00Z"